Skip to main content
Server path: /commercetools-logistics | Type: Application | PCID required: Yes

Tools

ToolDescription
commercetools_logistics_create_channelsPOST /channels
commercetools_logistics_create_inventoryCreates an InventoryEntry in the Project. If quantity limits are provided, existing Line Items that reference a Product Variant with an SKU that matches the Inventory Entry can be affected. For more information, see Quantity limits. Produces the InventoryEntryCreated Message.
commercetools_logistics_create_shipping_methodsCreates a ShippingMethod in the Project.
commercetools_logistics_create_tax_categoriesPOST /tax-categories
commercetools_logistics_create_zonesCreates a Zone in the Project.
commercetools_logistics_delete_channels_by_idReturns a ReferenceExists error if other resources reference the Channel to be deleted.
commercetools_logistics_delete_channels_by_keyReturns a ReferenceExists error if other resources reference the Channel to be deleted.
commercetools_logistics_delete_inventory_by_idProduces the InventoryEntryDeleted Message.
commercetools_logistics_delete_inventory_by_keyProduces the InventoryEntryDeleted Message.
commercetools_logistics_delete_shipping_methods_by_idDeletes a ShippingMethod in the Project.
commercetools_logistics_delete_shipping_methods_by_keyDeletes a ShippingMethod in the Project.
commercetools_logistics_delete_tax_categories_by_idDELETE /tax-categories/{ID}
commercetools_logistics_delete_tax_categories_by_keyDELETE /tax-categories/key={key}
commercetools_logistics_delete_zones_by_idDeletes a Zone in the Project.
commercetools_logistics_delete_zones_by_keyDeletes a Zone in the Project.
commercetools_logistics_get_channels_by_idGET /channels/{ID}
commercetools_logistics_get_channels_by_keyGET /channels/key={key}
commercetools_logistics_get_inventory_by_idGET /inventory/{ID}
commercetools_logistics_get_inventory_by_keyGET /inventory/key={key}
commercetools_logistics_get_shipping_methods_by_idRetrieves a ShippingMethod with the provided id.
commercetools_logistics_get_shipping_methods_by_keyRetrieves a ShippingMethod with the provided key.
commercetools_logistics_get_tax_categories_by_idGET /tax-categories/{ID}
commercetools_logistics_get_tax_categories_by_keyGET /tax-categories/key={key}
commercetools_logistics_get_zones_by_idRetrieves a Zone with the provided id.
commercetools_logistics_get_zones_by_keyRetrieves a Zone with the provided key.
commercetools_logistics_list_channelsGET /channels
commercetools_logistics_list_inventoryGET /inventory
commercetools_logistics_list_shipping_methodsRetrieves all ShippingMethods in the Project.
commercetools_logistics_list_shipping_methods_matching_cartRetrieves the active ShippingMethods that can ship to the shipping address of the provided Cart. Each ShippingMethod contains exactly one ShippingRate with the flag isMatching set to true. This ShippingRate is used when the ShippingMethod is added to the Cart. If a matching ShippingMethod has isDefault set to true, it is returned as the first item in the array.
commercetools_logistics_list_shipping_methods_matching_cart_locationRetrieves the active ShippingMethods that can ship to the provided Location with a predicate that matches the provided Cart. Each ShippingMethod contains exactly one ShippingRate with the flag isMatching set to true. This ShippingRate is used when the ShippingMethod is added to the Cart. If a matching ShippingMethod has isDefault set to true, it is returned as the first item in the array.
commercetools_logistics_list_shipping_methods_matching_locationRetrieves the active ShippingMethods that can ship to the provided Location. The following applies: - ShippingMethods that have a predicate defined are automatically disqualified. - If the currency parameter is provided, then the ShippingMethods must also have a rate defined in the specified currency. - Each ShippingMethod contains at least one ShippingRate with the flag isMatching set to true. - If the currency parameter is provided, exactly one ShippingRate will contain it. - If a matching ShippingMethod has isDefault set to true, it is returned as the first item in the array.
commercetools_logistics_list_shipping_methods_matching_ordereditRetrieves the active ShippingMethods that can ship to the provided Location for an OrderEdit. If a matching ShippingMethod has isDefault set to true, it is returned as the first item in the array. If the OrderEdit preview cannot be generated, an EditPreviewFailed error is returned.
commercetools_logistics_list_tax_categoriesGET /tax-categories
commercetools_logistics_list_zonesRetrieves all Zones in the Project.
commercetools_logistics_update_channels_by_idPOST /channels/{ID}
commercetools_logistics_update_channels_by_keyPOST /channels/key={key}
commercetools_logistics_update_inventory_by_idPOST /inventory/{ID}
commercetools_logistics_update_inventory_by_keyPOST /inventory/key={key}
commercetools_logistics_update_shipping_methods_by_idUpdates a ShippingMethod in the Project using one or more update actions.
commercetools_logistics_update_shipping_methods_by_keyUpdates a ShippingMethod in the Project using one or more update actions.
commercetools_logistics_update_tax_categories_by_idPOST /tax-categories/{ID}
commercetools_logistics_update_tax_categories_by_keyPOST /tax-categories/key={key}
commercetools_logistics_update_zones_by_idPOST /zones/{ID}
commercetools_logistics_update_zones_by_keyUpdates a Zone in the Project using one or more update actions.

commercetools_logistics_create_channels

POST /channels Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
addressobjectNoThe address value
customobjectNoThe custom value
descriptionobjectNoThe description value
geoLocationobjectNoGeo Location
keystringYesThe key value
nameobjectNoThe name value
rolesstring[]NoThe roles value

commercetools_logistics_create_inventory

Creates an InventoryEntry in the Project. If quantity limits are provided, existing Line Items that reference a Product Variant with an SKU that matches the Inventory Entry can be affected. For more information, see Quantity limits. Produces the InventoryEntryCreated Message. Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
customobjectNoThe custom value
expectedDeliverystringNoExpected Delivery
keystringNoThe key value
maxCartQuantityintegerNoMax Cart Quantity
minCartQuantityintegerNoMin Cart Quantity
quantityOnStockintegerYesQuantity On Stock
restockableInDaysintegerNoRestockable In Days
skustringYesThe sku value
supplyChannelobjectNoSupply Channel

commercetools_logistics_create_shipping_methods

Creates a ShippingMethod in the Project. Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
activebooleanNoThe active value
customobjectNoThe custom value
descriptionstringNoThe description value
isDefaultbooleanYesIs Default
keystringNoThe key value
localizedDescriptionobjectNoLocalized Description
localizedNameobjectNoLocalized Name
namestringYesThe name value
predicatestringNoThe predicate value
taxCategoryobjectYesTax Category
zoneRatesobject[]YesZone Rates

commercetools_logistics_create_tax_categories

POST /tax-categories Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
descriptionstringNoThe description value
keystringNoThe key value
namestringYesThe name value
ratesobject[]NoThe rates value

commercetools_logistics_create_zones

Creates a Zone in the Project. Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
descriptionstringNoThe description value
keystringNoThe key value
locationsobject[]NoThe locations value
namestringYesThe name value

commercetools_logistics_delete_channels_by_id

Returns a ReferenceExists error if other resources reference the Channel to be deleted. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_delete_channels_by_key

Returns a ReferenceExists error if other resources reference the Channel to be deleted. Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_delete_inventory_by_id

Produces the InventoryEntryDeleted Message. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_delete_inventory_by_key

Produces the InventoryEntryDeleted Message. Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_delete_shipping_methods_by_id

Deletes a ShippingMethod in the Project. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_delete_shipping_methods_by_key

Deletes a ShippingMethod in the Project. Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_delete_tax_categories_by_id

DELETE /tax-categories/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_delete_tax_categories_by_key

DELETE /tax-categories/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_delete_zones_by_id

Deletes a Zone in the Project. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_delete_zones_by_key

Deletes a Zone in the Project. Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_get_channels_by_id

GET /channels/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_get_channels_by_key

GET /channels/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_get_inventory_by_id

GET /inventory/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_get_inventory_by_key

GET /inventory/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_get_shipping_methods_by_id

Retrieves a ShippingMethod with the provided id. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_get_shipping_methods_by_key

Retrieves a ShippingMethod with the provided key. Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_get_tax_categories_by_id

GET /tax-categories/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_get_tax_categories_by_key

GET /tax-categories/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_get_zones_by_id

Retrieves a Zone with the provided id. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_get_zones_by_key

Retrieves a Zone with the provided key. Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline

commercetools_logistics_list_channels

GET /channels Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total
wherestring[]NoThe where value

commercetools_logistics_list_inventory

GET /inventory Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total
wherestring[]NoThe where value

commercetools_logistics_list_shipping_methods

Retrieves all ShippingMethods in the Project. Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total
wherestring[]NoThe where value

commercetools_logistics_list_shipping_methods_matching_cart

Retrieves the active ShippingMethods that can ship to the shipping address of the provided Cart. Each ShippingMethod contains exactly one ShippingRate with the flag isMatching set to true. This ShippingRate is used when the ShippingMethod is added to the Cart. If a matching ShippingMethod has isDefault set to true, it is returned as the first item in the array. Parameters:
ParameterTypeRequiredDefaultDescription
cartIdstringYesCart Id
expandstring[]NoRelated resources to expand inline

commercetools_logistics_list_shipping_methods_matching_cart_location

Retrieves the active ShippingMethods that can ship to the provided Location with a predicate that matches the provided Cart. Each ShippingMethod contains exactly one ShippingRate with the flag isMatching set to true. This ShippingRate is used when the ShippingMethod is added to the Cart. If a matching ShippingMethod has isDefault set to true, it is returned as the first item in the array. Parameters:
ParameterTypeRequiredDefaultDescription
countrystringYesThe country value
statestringNoThe state value
cartIdstringYesCart Id
expandstring[]NoRelated resources to expand inline

commercetools_logistics_list_shipping_methods_matching_location

Retrieves the active ShippingMethods that can ship to the provided Location. The following applies: - ShippingMethods that have a predicate defined are automatically disqualified. - If the currency parameter is provided, then the ShippingMethods must also have a rate defined in the specified currency. - Each ShippingMethod contains at least one ShippingRate with the flag isMatching set to true. - If the currency parameter is provided, exactly one ShippingRate will contain it. - If a matching ShippingMethod has isDefault set to true, it is returned as the first item in the array. Parameters:
ParameterTypeRequiredDefaultDescription
countrystringYesThe country value
statestringNoThe state value
currencystringNoThe currency value
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results

commercetools_logistics_list_shipping_methods_matching_orderedit

Retrieves the active ShippingMethods that can ship to the provided Location for an OrderEdit. If a matching ShippingMethod has isDefault set to true, it is returned as the first item in the array. If the OrderEdit preview cannot be generated, an EditPreviewFailed error is returned. Parameters:
ParameterTypeRequiredDefaultDescription
orderEditIdstringYesOrder Edit Id
countrystringYesThe country value
statestringNoThe state value

commercetools_logistics_list_tax_categories

GET /tax-categories Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total
wherestring[]NoThe where value

commercetools_logistics_list_zones

Retrieves all Zones in the Project. Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total
wherestring[]NoThe where value

commercetools_logistics_update_channels_by_id

POST /channels/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_logistics_update_channels_by_key

POST /channels/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_logistics_update_inventory_by_id

POST /inventory/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_logistics_update_inventory_by_key

POST /inventory/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_logistics_update_shipping_methods_by_id

Updates a ShippingMethod in the Project using one or more update actions. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_logistics_update_shipping_methods_by_key

Updates a ShippingMethod in the Project using one or more update actions. Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_logistics_update_tax_categories_by_id

POST /tax-categories/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_logistics_update_tax_categories_by_key

POST /tax-categories/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_logistics_update_zones_by_id

POST /zones/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_logistics_update_zones_by_key

Updates a Zone in the Project using one or more update actions. Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value